<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h2>#{pageTitle}</h2>
    <s:div id="globalDiv">
        <ui:insert name="systemSelection"/>
        <h:panelGroup rendered="#{managedBean.questionnaire != null}">

            <h:form id="introForm">
                <ui:include src="#{instructionFile}">
                    <ui:param name="instructionToDisplay" value="#{instructionManager.introduction}"/>
                </ui:include>
            </h:form>

            <ui:include src="/questionnaire/questionnaireSummary.xhtml">
                <ui:param name="managedBean" value="#{managedBean}"/>
                <ui:param name="mode" value="edit"/>
            </ui:include>

            <h:form id="extraButtonForm">
                <p>
                    <h:outputLink value="#{managedBean.linkToList()}" styleClass="gzl-btn">
                        #{messages['net.ihe.gazelle.questionnaire.BackToList']}
                    </h:outputLink>
                    <ui:insert name="extraEditButtons"/>
                </p>
            </h:form>

            <ul class="nav nav-tabs" role="tablist">
                <h:panelGroup rendered="#{instructionManager.displayInboundNetworkCommunications}">
                    <li role="presentation" class="active">
                        <a href="#inboundTab" aria-controls="inboundTab" role="tab" data-toggle="tab">
                            #{messages['net.ihe.gazelle.questionnaire.InboundNetworkCommunications']}
                        </a>
                    </li>
                </h:panelGroup>
                <h:panelGroup rendered="#{instructionManager.displayOutboundNetworkCommunications}">
                    <li role="presentation"><a href="#outboundTab" aria-controls="outboundTab" role="tab"
                                               data-toggle="tab">#{messages['net.ihe.gazelle.questionnaire.OutboundNetworkCommunications']}</a>
                    </li>
                </h:panelGroup>
                <h:panelGroup rendered="#{instructionManager.displayAuthenticationProcess}">
                    <li role="presentation"><a href="#authenticationTab" aria-controls="authenticationTab" role="tab"
                                               data-toggle="tab">#{messages['net.ihe.gazelle.questionnaire.AuthenticationProcessForLocalUsers']}</a>
                    </li>
                </h:panelGroup>
                <h:panelGroup rendered="#{instructionManager.displayAuditMessages}">
                    <li role="presentation"><a href="#auditMessageTab" aria-controls="auditMessageTab" role="tab"
                                               data-toggle="tab">#{messages['net.ihe.gazelle.questionnaire.AuditMessages']}</a>
                    </li>
                </h:panelGroup>
                <h:panelGroup
                        rendered="#{managedBean.questionnaire.systemIsSecureNode() and instructionManager.displayAccessPhi}">
                    <li role="presentation"><a href="#meansTab" aria-controls="meansTab" role="tab" data-toggle="tab">
                        #{messages['net.ihe.gazelle.questionnaire.NonNetworkMeansForAccessingPHI']}</a>
                    </li>
                </h:panelGroup>
                <h:panelGroup rendered="#{instructionManager.displayTlsTests}">
                    <li role="presentation"><a href="#tlsTab" aria-controls="tlsTab" role="tab" data-toggle="tab">
                        #{messages['net.ihe.gazelle.questionnaire.TLSTests']}</a>
                    </li>
                </h:panelGroup>
            </ul>

            <div class="tab-content tab-content-with-border">

                <ui:include src="/questionnaire/inboundsPanel.xhtml">
                    <ui:param name="networkCommunicationsPage" value="/questionnaire/editNetworkCommunications.xhtml"/>
                    <ui:param name="displaySaveButton" value="true"/>
                    <ui:param name="instructionFile" value="#{instructionFile}"/>
                    <ui:param name="managedBean" value="#{managedBean}"/>
                </ui:include>

                <ui:include src="/questionnaire/outboundsPanel.xhtml">
                    <ui:param name="networkCommunicationsPage" value="/questionnaire/editNetworkCommunications.xhtml"/>
                    <ui:param name="displaySaveButton" value="true"/>
                    <ui:param name="instructionFile" value="#{instructionFile}"/>
                    <ui:param name="managedBean" value="#{managedBean}"/>
                </ui:include>

                <h:panelGroup rendered="#{instructionManager.displayAuthenticationProcess}">
                    <div role="tabpanel" class="tab-pane" id="authenticationTab">
                        <h:form id="authenticationForm">
                            <ui:include src="#{instructionFile}">
                                <ui:param name="instructionToDisplay"
                                          value="#{instructionManager.authenticationProcess}"/>
                            </ui:include>
                            <ui:include src="/questionnaire/textEditor.xhtml">
                                <ui:param name="content"
                                          value="#{managedBean.questionnaire.localUserAuthenticationProcess}"/>
                                <ui:param name="managedBean" value="#{managedBean}"/>
                            </ui:include>
                        </h:form>
                    </div>
                </h:panelGroup>

                <ui:include src="/questionnaire/auditMessagePanel.xhtml">
                    <ui:param name="auditMessageTableFile" value="/questionnaire/editAuditMessage.xhtml"/>
                    <ui:param name="displaySaveButton" value="true"/>
                    <ui:param name="instructionFile" value="#{instructionFile}"/>
                    <ui:param name="managedBean" value="#{managedBean}"/>
                </ui:include>

                <h:panelGroup
                        rendered="#{managedBean.questionnaire.systemIsSecureNode() and instructionManager.displayAccessPhi}">
                    <div role="tabpanel" class="tab-pane" id="meansTab">
                        <h:form id="meansForm">
                            <ui:include src="#{instructionFile}">
                                <ui:param name="instructionToDisplay" value="#{instructionManager.accessPhi}"/>
                            </ui:include>
                            <ui:include src="/questionnaire/textEditor.xhtml">
                                <ui:param name="content"
                                          value="#{managedBean.questionnaire.nonNetworkMeanForAccessingPHI}"/>
                                <ui:param name="managedBean" value="#{managedBean}"/>
                            </ui:include>
                        </h:form>
                    </div>
                </h:panelGroup>

                <ui:include src="/questionnaire/tlsTestsPanel.xhtml">
                    <ui:param name="tlsTestsPage" value="/questionnaire/editTLSTests.xhtml"/>
                    <ui:param name="extraTlsButtons" value="#{extraTlsButtons}"/>
                    <ui:param name="displaySaveButton" value="true"/>
                    <ui:param name="instructionFile" value="#{instructionFile}"/>
                    <ui:param name="managedBean" value="#{managedBean}"/>
                </ui:include>

            </div>

        </h:panelGroup>
    </s:div>

    <h:panelGroup rendered="#{managedBean.questionnaire != null}">
        <ui:insert name="extraEditModal"/>
    </h:panelGroup>

</ui:composition>

